SbStorage Class Reference

| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SbStorage Class Reference
Portable Threads Abstraction Classes

The SbStorage class manages thread-local memory.This class manages thread-local memory. When different threads access the memory an SbStorage object manages, they will receive different memory blocks back. More...

`#include <Inventor/threads/SbStorage.h>`

## Public Member Functions
| SbStorage (unsigned int size)
| SbStorage (unsigned int size, cc_storage_f *constr, cc_storage_f *destr)
| ~SbStorage (void)
void * | get (void)
void | applyToAll (SbStorageApplyFunc *func, void *closure)

## Detailed Description

The SbStorage class manages thread-local memory.

This class manages thread-local memory. When different threads access the memory an SbStorage object manages, they will receive different memory blocks back.

This provides a mechanism for sharing read/write static data.

One important implementation detail: if the Coin library was explicitly configured to be built without multi-platform thread abstractions, or neither pthreads nor native Win32 thread functions are available, it will be assumed that the client code will all run in the same thread. This means that the same memory block will be returned for any request without considering the current thread id.

## Constructor & Destructor Documentation

SbStorage::SbStorage | ( | unsigned int | size | ) |
| inline

Constructor. size specifies the number of bytes each thread should have in this thread-local memory management object.

SbStorage::~SbStorage | ( | void |  | ) |
| inline

The destructor.

## Member Function Documentation

void * SbStorage::get | ( | void |  | ) |
| inline

This method returns the calling thread's thread-local memory block.

void SbStorage::applyToAll | ( | SbStorageApplyFunc * | func,
|  | void * | closure
| ) |  |
| inline

This method will call func for all thread local storage data. closure will be supplied as the second parameter to the callback.

The documentation for this class was generated from the following files:

- SbStorage.h
- storage.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.